### Function

# EDataServer weak_ref_new

since: 3.10

#### Declaration [src]

    GWeakRef*
    e_weak_ref_new (
      gpointer object
    )

#### Description [src]

Allocates a new `GWeakRef` and calls `g_weak_ref_set()` with `object`.

Free the returned `GWeakRef` with e_weak_ref_free().

Available since: 3.10

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `gpointer`

  A `GObject` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GWeakRef`

A new `GWeakRef`.

The caller of the function takes ownership of the data, and is responsible for freeing it.